#
#

CC=cc

CFLAGS =  /INCLUDE=([-],[-.-.-.include],X11:, GL, [-.-.EVENTS]) /DEFINE=(ENABLE_X11=1) /DEB /FLOAT=IEEE\
/OPTIMIZE=(INLINE=SPEED) /NOWARN


OBJS = sdl_x11dga.obj,sdl_x11dyn.obj,sdl_x11events.obj,sdl_x11gamma.obj,\
	       sdl_x11gl.obj,sdl_x11image.obj,sdl_x11modes.obj,sdl_x11mouse.obj,\
               sdl_x11video.obj, sdl_x11wm.obj, sdl_x11yuv.obj

ALL : libvideo_x11.olb
        cop libvideo_x11.olb [-.-]

libvideo_x11.olb : $(OBJS)
        $LIB/CREA libvideo_x11 $(OBJS)

sdl_x11dga.obj : sdl_x11dga.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_x11dyn.obj : sdl_x11dyn.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_x11events.obj : sdl_x11events.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_x11gamma.obj : sdl_x11gamma.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_x11gl.obj : sdl_x11gl.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_x11image.obj : sdl_x11image.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_x11modes.obj : sdl_x11modes.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_x11mouse.obj : sdl_x11mouse.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_x11video.obj : sdl_x11video.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_x11wm.obj : sdl_x11wm.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

sdl_x11yuv.obj : sdl_x11yuv.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
 
clean :
        del *.obj;*
        del *.olb;*


